<?php

function date_journommoisannee($d)  {
  $annee =substr($d, 0, 4);
  $mois =substr($d, 4, 2);
  $jour =substr($d, 6, 2);
  $la_date = date("Y-m-d H:i:s", mktime(0, 0, 0, $mois, $jour, $annee ) ) ;

  return affdate_base($la_date, 'nom_jour')." ".affdate_base($la_date, 'jour')." ".affdate_base( $la_date, 'nom_mois');
  
}

function date_nommoisannee($d)  {
  $annee =substr($d, 0, 4);
  $mois =substr($d, 4, 2);
  $jour =substr($d, 6, 2);
  $la_date = date("Y-m-d H:i:s", mktime(0, 0, 0, $mois, $jour, $annee ) ) ;

  return  affdate_base( $la_date, 'nom_mois')." ".affdate_base($la_date, 'annee') ;
  
}



function agenda_memo_annuel_mot($date=0, $typemot='', $mot='', $url_mot='', $titre='', $url='', $cal='')
{
  static $agenda = array(); 
  if ( ($typemot!= "tout") & ($typemot!="$mot") ) return "" ;
  if (!$date) return $agenda;
  $idate = date_ical($date);
  $cal = trim($cal); // func_get_args (filtre alterner) rajoute \n !!!!
  $agenda[$cal][(date_anneemoisjour($date))][] =  array(
			'CATEGORIES' => $cal,
			'DTSTART' => $idate,
			'DTEND' => $idate,
                        'MOT' => texte_script($mot),
                        'URLMOT' => $url_mot,
                        'TITRE' => texte_script($titre),
                        'URL' => $url);
  // toujours retourner vide pour qu'il ne se passe rien
  return "";
}


function agenda_affiche_annuel_mot($i)
{
  $args = func_get_args();
  $nb = array_shift($args); // nombre d'evenements (on pourrait l'afficher)
  $sinon = array_shift($args);
  if (!$nb) return $sinon;
  $type = array_shift($args);
  $agenda = agenda_memo_annuel_mot(0);
  
  $ligne = ''; 
  foreach ($agenda as $cle=>$valeur)  
    {
      $evt = $valeur ; 
      foreach ($evt as $cle=>$valeur)  
	{
	  $moisan = substr($cle, 0, 6 ) ; 
          $annee = substr($cle, 0, 4 ) ; 
          $mois = substr($cle, 4, 2 ) ; 
    
	  $nommois = date_nommoisannee($cle) ;
	  if ( !( $moisan == $moisold ) & ($moisold!='')  ) $ligne .= "</ul>" ;
	  if ( !( $moisan == $moisold )  ) $ligne .="<br/><h2><a href=\"agenda.php3?annee=$annee&mois=$mois&jour=01&type=mois\" >  $nommois </a></h2><ul>" ;
	  $le_jour = date_journommoisannee($cle) ;
	  $evnt = $valeur ;
	  foreach ($evnt as $cle=>$valeur)  
	    {
	      $evnt = $valeur ;
	      $url_art =$evnt['URL'] ;
	      $titre =$evnt['TITRE'] ;
	      $url_mot =$evnt['URLMOT'] ;
	      $mot =$evnt['MOT'] ;
	      $ligne .= "<li><span style=\"display:block; float:left;\"><strong>$le_jour</strong> : <a href=\"$url_art\" >  $titre </a></span><span style=\"display:block; text-align:right;\">  type <a href=\"$url_mot\" >  $mot </a></span> </li> \n";
	    }
	  $moisold = $moisan ;
	}
    }
$ligne .="</ul>" ;
  return $ligne;
}

?>